regina::NXMLAngleStructureReader Class Reference
Angle Structures

An XML element reader that reads a single angle structure. More...

`#include <angle/nxmlanglestructreader.h>`

Inheritance diagram for regina::NXMLAngleStructureReader:

## Public Member Functions

| NXMLAngleStructureReader (NTriangulation *newTri)
| Creates a new angle structure reader. More...
NAngleStructure * | getStructure ()
| Returns the angle structure that has been read. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, NXMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual NXMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
Public Member Functions inherited from regina::NXMLElementReader
| NXMLElementReader ()
| Creates a new element reader. More...
virtual | ~NXMLElementReader ()
| Destroys this element reader. More...
virtual void | endSubElement (const std::string &subTagName, NXMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (NXMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

An XML element reader that reads a single angle structure.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NXMLAngleStructureReader::NXMLAngleStructureReader | ( | NTriangulation * | newTri | ) |

inline

Creates a new angle structure reader.

Parameters

  newTri | the triangulation on which this angle structure lies.

## Member Function Documentation

NAngleStructure * regina::NXMLAngleStructureReader::getStructure | ( |  | ) |

inline

Returns the angle structure that has been read.

Returns
  the newly allocated angle structure, or 0 if an error occurred.

virtual void regina::NXMLAngleStructureReader::initialChars | ( | const std::string & | chars | ) |

virtual

Signifies that the initial text belonging to this XML element has been read.

The initial text is everything between the opening tag and the first subelement or closing tag.

The default implementation does nothing.

Parameters

  chars | the initial text for this element.

Reimplemented from regina::NXMLElementReader.

virtual void regina::NXMLAngleStructureReader::startElement | ( | const std::string & | tagName,
|  | const regina::xml::XMLPropertyDict & | tagProps,
|  | NXMLElementReader * | parentReader
| ) |  |

virtual

Signifies that parsing of this XML element is beginning.

The default implementation does nothing.

Parameters

  tagName | the name of the opening tag for this element.
  tagProps | the properties associated with the opening tag.
  parentReader | the reader currently parsing the parent XML element, or 0 if this is the top-level element. If this paraneter is non-zero, it is guaranteed that startSubElement() has already been called upon the parent reader.

Reimplemented from regina::NXMLElementReader.

virtual NXMLElementReader* regina::NXMLAngleStructureReader::startSubElement | ( | const std::string & | subTagName,
|  | const regina::xml::XMLPropertyDict & | subTagProps
| ) |  |

virtual

Signifies that a subelement of this XML element is about to be parsed.

The default implementation returns a new NXMLElementReader which can be used to ignore the subelement completely.

Parameters

  subTagName | the name of the subelement opening tag.
  subTagProps | the properties associated with the subelement opening tag.

Returns
  a newly created element reader that will be used to parse the subelement. This class should not take care of the new reader's destruction; that will be done by the parser.

Reimplemented from regina::NXMLElementReader.

The documentation for this class was generated from the following file:

- angle/nxmlanglestructreader.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).